namespace NorthwindLibrary
{
    using System.Data.Services.Common;

    /// <summary>
    /// Category Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("CategoryID")]
    public partial class Category
    {
    }
    /// <summary>
    /// CustomerDemographic Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("CustomerTypeID")]
    public partial class CustomerDemographic
    {
    }
    /// <summary>
    /// Customer Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("CustomerID")]
    public partial class Customer
    {
    }
    /// <summary>
    /// Employee Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("EmployeeID")]
    public partial class Employee
    {
    }
    /// <summary>
    /// LargeEmployee Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("EmployeeID")]
    public partial class LargeEmployee
    {
    }
    /// <summary>
    /// Message Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("MessageId")]
    public partial class Message
    {
    }
    /// <summary>
    /// OrderDetail Class Data Service Key Fix
    /// </summary>
    [DataServiceKey(new string[]{"OrderID","ProductID"})]
    public partial class OrderDetail
    {
    }
    /// <summary>
    /// Order Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("OrderID")]
    public partial class Order
    {
    }
    /// <summary>
    /// Product Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("ProductID")]
    public partial class Product
    {
    }
    /// <summary>
    /// RadProduct Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("RadProductId")]
    public partial class RadProduct
    {
    }
    /// <summary>
    /// Region Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("RegionID")]
    public partial class Region
    {
    }
    /// <summary>
    /// Shipper Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("ShipperID")]
    public partial class Shipper
    {
    }
    /// <summary>
    /// Supplier Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("SupplierID")]
    public partial class Supplier
    {
    }
    /// <summary>
    /// Territory Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("TerritoryID")]
    public partial class Territory
    {
    }
    /// <summary>
    /// User Class Data Service Key Fix
    /// </summary>
    [DataServiceKey("UserId")]
    public partial class User
    {
    }
}
