namespace SilverlightOpenAccessIntegration.Web
{
	using System.Data.Services;

    /// <summary>
    /// NorthwindWCFDataService Service Class Handler
    /// </summary>
    [System.ServiceModel.ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public partial class NorthwindWCFDataService : DataService<DataManager>
    {
		/// <summary>
        /// Initializes the service.
        /// </summary>
        /// <param name="config">The config.</param>
        public static void InitializeService(IDataServiceConfiguration config)
        {
            config.SetEntitySetAccessRule("*", EntitySetRights.All);
        }
        
        /// <summary>
        /// Called when an exception is thrown while processing a request.
        /// </summary>
        /// <param name="args">Exception arguments.</param>
        protected override void HandleException(HandleExceptionArgs args)
        {
            base.HandleException(args);
        }
    }
}
